Bug 852541 - Add a documented way to disable grub2 configuration updates
Add a documented way to disable grub2 configuration updates
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: grubby (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-28 16:57 EDT by Joonas Sarajärvi
Modified: 2013-08-01 05:01 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 05:01:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joonas Sarajärvi 2012-08-28 16:57:18 EDT
Description of problem:

Fedora's kernel packages call /sbin/new-kernel-pkg when they are upgraded,
to update to bootloader configuration to match the newly installed kernel.

Instead of the stock way to maintain grub2 configuration, the
local administrator might want to:
1) Use some other automatic grub2 configuration update mechanism, or
2) Write a static hand-written grub2 configuration

When looking at man page of new-kernel-pkg or other documentation included
in the grubby package, there seems to be no documented way to disable
the automatic bootloader configuration changes.

By reading source of new-kernel-pkg, there seems to at least be an easy-ish
workaround to disabling the update by making /etc/grub2.cfg point to some
other place. However, this might break in case the update logic in
new-kernel-pkg gets changed.

Having some documented and supported way to do this would be convenient.
Sorry for the trouble, in case there actually is a documented way to
disable grub2 configuration management that I just did not notice.
Comment 1 Fedora End Of Life 2013-07-03 22:39:30 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2013-08-01 05:01:39 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.